require 'rails/generators/base'
require 'securerandom'
require 'rails/engine'

module EbsPayment
  module Generators
    class ConfigGenerator < Rails::Generators::Base
      source_root File.expand_path('../../templates', __FILE__)
      desc "Creates an initializer to your application"

      def copy_inititalizer
        template "../../templates/payment.rb", "config/initializers/payment.rb"
      end

      def rails_4?
        Rails::VERSION::MAJOR == 4
      end
    end
  end
end
